StyleConstants.ColorConstants (Java Platform SE 8 )
Keywords: javax.swing.text.StyleConstants.ColorConstants class
Date: 2026-06-25

javax.swing.text

## Class StyleConstants.ColorConstants

- java.lang.Object
- - javax.swing.text.StyleConstants
  - - javax.swing.text.StyleConstants.ColorConstants

- All Implemented Interfaces:
    AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute
  Enclosing class:
    StyleConstants

      public static class StyleConstants.ColorConstants
      extends StyleConstants
      implements AttributeSet.ColorAttribute, AttributeSet.CharacterAttribute

  This is a typesafe enumeration of the well-known attributes that contribute to a color. These are aliased by the outer class for general presentation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.StyleConstants

      `StyleConstants.CharacterConstants, StyleConstants.ColorConstants, StyleConstants.FontConstants, StyleConstants.ParagraphConstants`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.StyleConstants

      `ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_LEFT, ALIGN_RIGHT, Alignment, Background, BidiLevel, Bold, ComponentAttribute, ComponentElementName, ComposedTextAttribute, Family, FirstLineIndent, FontFamily, FontSize, Foreground, IconAttribute, IconElementName, Italic, LeftIndent, LineSpacing, ModelAttribute, NameAttribute, Orientation, ResolveAttribute, RightIndent, Size, SpaceAbove, SpaceBelow, StrikeThrough, Subscript, Superscript, TabSet, Underline`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.text.StyleConstants

      `getAlignment, getBackground, getBidiLevel, getComponent, getFirstLineIndent, getFontFamily, getFontSize, getForeground, getIcon, getLeftIndent, getLineSpacing, getRightIndent, getSpaceAbove, getSpaceBelow, getTabSet, isBold, isItalic, isStrikeThrough, isSubscript, isSuperscript, isUnderline, setAlignment, setBackground, setBidiLevel, setBold, setComponent, setFirstLineIndent, setFontFamily, setFontSize, setForeground, setIcon, setItalic, setLeftIndent, setLineSpacing, setRightIndent, setSpaceAbove, setSpaceBelow, setStrikeThrough, setSubscript, setSuperscript, setTabSet, setUnderline, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.